javafx.util.converter

## Class NumberStringConverter

- java.lang.Object
- - javafx.util.StringConverter<Number>
  - - javafx.util.converter.NumberStringConverter

- Direct Known Subclasses:
    CurrencyStringConverter, PercentageStringConverter

      public class NumberStringConverter
      extends StringConverter<Number>

  `StringConverter` implementation for `Number` values.

  Since:
    JavaFX 2.1

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `NumberStringConverter()`
    `NumberStringConverter(Locale locale)`
    `NumberStringConverter(Locale locale, String pattern)`
    `NumberStringConverter(NumberFormat numberFormat)`
    `NumberStringConverter(String pattern)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Number` | `fromString(String value)` Converts the string provided into an object defined by the specific converter.
    `protected NumberFormat` | `getNumberFormat()` Return a `NumberFormat` instance to use for formatting and parsing in this `StringConverter`.
    `String` | `toString(Number value)` Converts the object provided into its string form.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### NumberStringConverter

          public NumberStringConverter()

    - #### NumberStringConverter

          public NumberStringConverter(Locale locale)

    - #### NumberStringConverter

          public NumberStringConverter(String pattern)

    - #### NumberStringConverter

          public NumberStringConverter(Locale locale,
                                       String pattern)

    - #### NumberStringConverter

          public NumberStringConverter(NumberFormat numberFormat)

  - ### Method Detail

    - #### fromString

          public Number fromString(String value)

      Converts the string provided into an object defined by the specific converter. Format of the string and type of the resulting object is defined by the specific converter.
      Specified by:
        `fromString` in class `StringConverter<Number>`
      Returns:
        an object representation of the string passed in.

    - #### toString

          public String toString(Number value)

      Converts the object provided into its string form. Format of the returned string is defined by the specific converter.
      Specified by:
        `toString` in class `StringConverter<Number>`
      Returns:
        a string representation of the object passed in.

    - #### getNumberFormat

          protected NumberFormat getNumberFormat()

      Return a `NumberFormat` instance to use for formatting and parsing in this `StringConverter`.

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 2008, 2019, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.